-- #501
CREATE TABLE orderdocument (
     orderdocumentid      integer  not null
,    orderid              integer  not null
,    issuedate            datetime  not null
,    issued               bool  not null
,    deliverydate         datetime  null

,   constraint pk_orderdocument                 primary key (orderdocumentid)
,   constraint fk_orderdocument_orderdocumentid foreign key (orderdocumentid)
        references object                           (objectid)
,   constraint fk_orderdocument_orderid         foreign key (orderid)
        references customerorder                    (orderid)
)
GO
CREATE INDEX i_orderdocument_orderid ON orderdocument (orderid)
GO

