-- #102
CREATE TABLE taxareadigital (
     taxareadigitalid     integer  not null
,    taxmatrixdigitalid   integer  not null
,    countryid            integer  not null

,   constraint pk_taxareadigital                primary key (taxareadigitalid)
,   constraint fk_taxareadigital_taxareadigitalid foreign key (taxareadigitalid)
        references object                           (objectid)
,   constraint fk_taxareadigital_taxmatrixdigitalid foreign key (taxmatrixdigitalid)
        references taxmatrixdigital                 (taxmatrixdigitalid)
,   constraint fk_taxareadigital_countryid      foreign key (countryid)
        references country                          (countryid)
)
GO
CREATE INDEX i_taxareadigital_matrix ON taxareadigital (taxmatrixdigitalid)
GO

CREATE INDEX i_taxareadigital_countryid ON taxareadigital (countryid)
GO

